%define		_class	    PHP
%define		_subclass	Shell
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	0.3.2
Release:	%mkrel 3
Summary:	An interactive PHP Shell
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/%{upstream_name}
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear
Provides:       pear(php-shell-cmd.php)

%description
An interactive PHP Shell with tab-completion, inline help 
and handling of FATAL errors

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml
%{_datadir}/pear/data/%{upstream_name}
%{_datadir}/pear/examples/*
%{_datadir}/pear/scripts/*



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.3.2-3.mga3
+ Revision: 377213
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 24 2012 neoclust <neoclust> 0.3.2-2.mga3
+ Revision: 297053
- imported package php-pear-PHP_Shell

